#
# $Date: 2008-03-13 15:55:06 $
# $Id: Local.pm,v 1.3 2008-03-13 15:55:06 gelpi Exp $
# $Revision: 1.3 $
#
package CMIP::Local;

=head1 NAME 

CMIP::Local

=head1 SYNOPSIS

Internal data for CMIP::Run

use CMIP::Local;

=head1

$jobId=createTMP;

=cut

$BASEDIR = "/data/soft/CMIP";
$VDWPRM = "$BASEDIR/dat/vdwprm";
$CMIP = "$BASEDIR/src/cmip";
$QSUB = "/usr/local/bin/qsub";
$QUEUEDEFAULT = "ibm";
$TMPDIR = "/usr/tmp";

sub createTMP {
	my $id = "CMIP".time.substr("00000$$",-5);
	umask 022;
	mkdir "$TMPDIR/$id", 0755;
	return $id;
};
